Package org.apache.sysds.runtime.controlprogram.caching

# Class PageCache

java.lang.Object
org.apache.sysds.runtime.controlprogram.caching.PageCache

public class PageCache extends Object

## Constructor Summary

Constructors
Constructor
Description
`PageCache()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`clear()`
`static byte[]`
`getPage(int size)`
`static void`
`init()`
`static void`
`putPage(byte[] data)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PageCache

public PageCache()

## Method Details

### init

public static void init()

### clear

public static void clear()

### putPage

public static void putPage(byte[] data)

### getPage

public static byte[] getPage(int size)